Skip to main content
GET
List users

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Query Parameters

department
string<uuid>
department_name
string
limit
integer

Number of results to return per page.

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

A search term.

section
string<uuid>
section_name
string
status
string
user_type
enum<string>
  • STAFF - Staff
  • CORRESPONDENT - Correspondent
  • CONSUMER - Cape Digi Consumer
Available options:
CONSUMER,
CORRESPONDENT,
STAFF

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"